<?php

namespace Drupal\notify_to_slack\Controller;

use Drupal\Core\Config\Entity\ConfigEntityListBuilder;
use Drupal\Core\Entity\EntityInterface;

/**
 * Defines a class to build a listing of SlackMessage entities.
 *
 * @see \Drupal\notify_to_slack\Entity\SlackMessage
 */
class SlackMessageListBuilder extends ConfigEntityListBuilder {

  /**
   * {@inheritdoc}
   */
  public function buildHeader() {
    $headers['entity'] = $this->t("Entity");
    $headers['bundle'] = $this->t("Bundle");
    return $headers + parent::buildHeader();
  }

  /**
   * {@inheritdoc}
   */
  public function buildRow(EntityInterface $entity) {
    $row['entity'] = $entity->get('entity_type');
    $row['bundle'] = $entity->get('bundle');
    return $row + parent::buildRow($entity);
  }

}
