<?php

namespace Drupal\notify_to_slack\Form;

use Drupal\Core\Entity\EntityConfirmFormBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\Core\Url;

/**
 * Creates a form to delete SlackMessage.
 */
class SlackMessageDeleteForm extends EntityConfirmFormBase {

  /**
   * {@inheritdoc}
   */
  public function getQuestion() {
    return $this->t(
      'Are you sure you want to delete Slack Message Set for "@entity_type" entity of type "@bundle"?', [
        '@entity_type' => $this->entity->get('entity_type'),
        '@bundle' => $this->entity->get('bundle'),
      ]
    );
  }

  /**
   * {@inheritdoc}
   */
  public function getCancelUrl() {
    return new Url('entity.slack_message.collection');
  }

  /**
   * {@inheritdoc}
   */
  public function getConfirmText() {
    return $this->t("Delete");
  }

  /**
   * {@inheritdoc}
   */
  public function submitForm(array &$form, FormStateInterface $form_state) {
    $this->entity->delete();
    $this->messenger()
      ->addMessage(
        $this->t('Entity @label has been deleted.', ['@label' => $this->entity->label()])
      );
    $form_state->setRedirectUrl($this->getCancelUrl());
  }

}
